{% extends "usuarios/index.html" %}
{% load staticfiles %}

{% block bibliotecas %}

{% endblock %}

{% block barra_horizontal %}
    {% if usuario.tipo == usuario.TIPO_DOCENTE %}
    <li>
        <a class="btn btn-secondary botao-barra-horizontal" href="{% url 'lab_remoto:criar_kit' %}">
            <span><img src="{% static 'icones/novo.svg'%}" width="20px"></span>Adicionar kit
        </a>
    </li>

    <li>
        <a class="btn btn-secondary botao-barra-horizontal" href="{% url 'lab_remoto:criar_ensaio' %}">
            <span><img src="{% static 'icones/novo.svg'%}" width="20px"></span>Criar ensaio
        </a>
    </li>
    {% endif %}

{#    <li>#}
{#        <a class="btn btn-secondary botao-barra-horizontal" href="#">#}
{#            <span><img src="{% static 'icones/apagar.svg'%}" width="20px"></span>Remover#}
{#        </a>#}
{#    </li>#}
{% endblock %}


{% block barra_avisos_verde %}
    {% if alguma_coisa %}
        <p>texto</p>
    {% endif %}
{% endblock %}

{% block barra_avisos_vermelha %}
    {% if alguma_coisa %}
        <p>texto</p>
    {% endif %}
{% endblock %}


{% block corpo_pagina %}
    <div class="row">
        <div class="col-lg-12">

            {% if usuario.tipo == usuario.TIPO_DOCENTE %}

                <div class="card cartao">
                    <h5 class="card-header cartao-titulo">
                        <img src="{% static "icones/equipamento.svg" %}">
                        Kits didáticos
                    </h5>
                    <div class="card-body">
                        <p class="card-title">
                            {% for kit in kits_didaticos %}
                                <ul class="list-group list-group-horizontal-xl">
                                    <li class="list-group-item">{{ kit.nome }} (#{{ kit.numero }})</li>
                                    <li class="list-group-item">
                                        <a href="{% url 'lab_remoto:editar_kit' kit.id %}" class="btn btn-outline-secondary botao-cartao">
                                            <img src="{% static 'icones/editar.svg'%}" width="20px">
                                            Editar
                                        </a>
                                    </li>
                                    <li class="list-group-item">
                                        <a href="{% url 'lab_remoto:remover_kit' kit.id %}" class="btn btn-outline-secondary botao-cartao">
                                            <img src="{% static 'icones/apagar.svg'%}" width="20px">
                                            Remover
                                        </a>
                                    </li>
                                </ul>
                            {% endfor %}
                        </p>
                    </div>
                </div>

                <div class="card cartao">
                    <h5 class="card-header cartao-titulo">
                        <img src="{% static "icones/calculando.svg" %}">
                        Ensaios
                    </h5>
                    <div class="card-body">
                        <p class="card-title">
                            {% for ensaio in ensaios %}
                                {{ ensaio.nome }} (#{{ ensaio.numero }})
                                <a href="{% url 'lab_remoto:editar_ensaio' ensaio.id %}" class="btn btn-outline-secondary botao-cartao">
                                    <img src="{% static 'icones/editar.svg'%}" width="20px">
                                    Editar
                                </a>
                                <a href="{% url 'lab_remoto:remover_kit' ensaio.id %}" class="btn btn-outline-secondary botao-cartao">
                                    <img src="{% static 'icones/apagar.svg'%}" width="20px">
                                    Remover
                                </a>
                            {% endfor %}
                        </p>
                    </div>
                </div>
            {% endif %}


        </div>

        <div class="col-lg-6">
        </div>
    </div>
{% endblock %}




{% block javascript %}
{% endblock %}

